petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetTolerances

Set tolerances for local truncation error when using adaptive controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetTolerances(TS ts,PetscReal atol,Vec vatol,PetscReal rtol,Vec vrtol)

Logically Collective Many br

### Input Arguments

| ts | - time integration context Many br
| atol | - scalar absolute tolerances, PETSC_DECIDE to leave current value Many br
| vatol | - vector of absolute tolerances or NULL, used in preference to atol if present Many br
| rtol | - scalar relative tolerances, PETSC_DECIDE to leave current value Many br
| vrtol | - vector of relative tolerances or NULL, used in preference to atol if present Many br

### Options Database keys

| -ts_rtol <rtol> | - relative tolerance for local truncation error Many br
| -ts_atol <atol> Absolute tolerance for local truncation error | - Many brNotes: Many brWith PETSc's implicit schemes for DAE problems, the calculation of the local truncation error Many br(LTE) includes both the differential and the algebraic variables. If one wants the LTE to be Many brcomputed only for the differential or the algebraic part then this can be done using the vector of Many brtolerances vatol. For example, by setting the tolerance vector with the desired tolerance for the Many brdifferential part and infinity for the algebraic part, the LTE calculation will include only the Many brdifferential variables. Many br

Many br

### See Also

TS, TSAdapt, TSVecNormWRMS(), TSGetTolerances()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_ic.c.html